Le développement iOS de l’iPhone 3G a été abandonné depuis longtemps, car le dernier iOS qu’il supporte est le 4.2.1. Donc rien d’étonnant lorsque nous voyons qu’il est impossible de le mettre à jour vers l’iOS 6. Par contre les mises à jour d’applications compatibles iOS 6 sur un iPhone 3G les rendront tout simplement inutilisables!


L’histoire est traitre car Apple ne prévient pas de ce problème avant les mises à jour (et ne les bloquent pas)! Alors est ce un oubli? Est-ce volontaire?

Le problème vient du dernier SDK des développeurs Apple qui ne prend plus en charge cette version iOS 4.2.1, le programme (et donc l’application) ne sera pas compilé pour pouvoir être lancé sur un iPhone 3G… alors Apple programme-t-elle la mort de ses iDevices?

Quoi qu’il en soit, si vous utilisez un iPhone 3G, faites très attention aux mises à jour!